---
title: Delete Account App
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Magic Transit](https://developers.cloudflare.com/api/go/resources/magic_transit)

[Apps](https://developers.cloudflare.com/api/go/resources/magic_transit/subresources/apps)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Delete Account App

client.MagicTransit.Apps.Delete(ctx, accountAppID, body) (\*[AppDeleteResponse](<https://developers.cloudflare.com/api/go/resources/magic_transit#(resource)%20magic_transit.apps%20%3E%20(model)%20AppDeleteResponse%20%3E%20(schema)>), error)

DELETE/accounts/{account\_id}/magic/apps/{account\_app\_id}

Deletes specific Account App.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Magic WAN Write``Magic Transit Write`

##### ParametersExpand Collapse

accountAppID string

Identifier

maxLength32

[Link to this property](<#(resource)%20magic_transit.apps%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20account_app_id%20%3E%20(schema)>)

<details>

<summary>

body AppDeleteParams

</summary>

AccountID param.Field\[string]

Identifier

maxLength32

<a href="#(resource)%20magic_transit.apps%20%3E%20(method)%20delete%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20magic_transit.apps%20%3E%20(method)%20delete%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type AppDeleteResponse struct{…}

Custom app defined for an account.

</summary>

AccountAppID string

Magic account app ID.

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20AppDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20account_app_id">Link to this property</a>

Hostnames \[]stringOptional

FQDNs to associate with traffic decisions.

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20AppDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20hostnames">Link to this property</a>

IPSubnets \[]stringOptional

IPv4 CIDRs to associate with traffic decisions. (IPv6 CIDRs are currently unsupported)

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20AppDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20ip_subnets">Link to this property</a>

Name stringOptional

Display name for the app.

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20AppDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

SourceSubnets \[]stringOptional

IPv4 CIDRs to associate with traffic decisions. (IPv6 CIDRs are currently unsupported)

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20AppDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20source_subnets">Link to this property</a>

Type stringOptional

Category of the app.

<a href="#(resource)%20magic_transit.apps%20%3E%20(model)%20AppDeleteResponse%20%3E%20(schema)%20%3E%20(property)%20type">Link to this property</a>

</details>

[Link to this property](<#(resource)%20magic_transit.apps%20%3E%20(model)%20AppDeleteResponse%20%3E%20(schema)>)

### Delete Account App

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/magic_transit"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  app, err := client.MagicTransit.Apps.Delete(
    context.TODO(),
    "023e105f4ecef8ad9ca31a8372d0c353",
    magic_transit.AppDeleteParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", app.AccountAppID)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "account_app_id": "ac60d3d0435248289d446cedd870bcf4",
    "hostnames": [
      "auth.cloudflare.com"
    ],
    "ip_subnets": [
      "192.0.2.0/24"
    ],
    "name": "Cloudflare Dashboard",
    "source_subnets": [
      "192.0.2.0/24"
    ],
    "type": "Development"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "account_app_id": "ac60d3d0435248289d446cedd870bcf4",
    "hostnames": [
      "auth.cloudflare.com"
    ],
    "ip_subnets": [
      "192.0.2.0/24"
    ],
    "name": "Cloudflare Dashboard",
    "source_subnets": [
      "192.0.2.0/24"
    ],
    "type": "Development"
  },
  "success": true
}
```